Bug 253639 - DevIL sigsegv from ilSaveF()
DevIL sigsegv from ilSaveF()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: DevIL (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ian Chapman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 18:33 EDT by John Ellson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.6.8-0.13.rc2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 01:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
small test program (772 bytes, text/x-csrc)
2007-08-20 18:33 EDT, John Ellson
no flags Details

  None (edit)
Description John Ellson 2007-08-20 18:33:54 EDT
Description of problem:
ilSaveF() dies while writing last block of image to file.  

Program received signal SIGSEGV, Segmentation fault.
0x000000366ee61761 in _IO_seekoff_unlocked () from /lib64/libc.so.6
(gdb) where
#0  0x000000366ee61761 in _IO_seekoff_unlocked () from /lib64/libc.so.6
#1  0x000000366ee60425 in ftell () from /lib64/libc.so.6
#2  0x00002aaaaaaf918b in iDefaultRTell (Handle=0x606280) at il_files.c:162
#3  0x00002aaaaaaf9f33 in iTellRFile () at il_files.c:570
#4  0x00002aaaaab1a139 in ilSaveF (Type=1061, File=0x606260) at il_io.c:1358
#5  0x0000000000400a5a in main (argc=1, argv=0x7fff61ff4398) at bug.c:29
(gdb) 

Version-Release number of selected component (if applicable):
DevIL-1.6.8-0.12.rc2.fc8.x86_64


How reproducible:
100%

Steps to Reproduce:
1. gcc -Wall -g -O0 -lIL -lILU bug.c -o bug
2. gdb ./bug
3. run test.png                << any test image
  
Actual results:
A truncated bug.jpg is produced, the executable dies with a SIGSEGV

Expected results:
working output to file handles.

Additional info:
Comment 1 John Ellson 2007-08-20 18:33:54 EDT
Created attachment 161927 [details]
small test program
Comment 2 Ian Chapman 2007-08-22 13:51:25 EDT
Ok I've confirmed the bug on i386 and ppc also. I'll report the bug upstream and
start looking at a fix myself.
Comment 3 Ian Chapman 2007-08-22 19:38:37 EDT
I've added a patch which hopefully fixes the problem. bug.c now works as
expected when compiled on i386 with the updated DevIL libs and should work on
other archs too. The update has been built and will be appearing in the
repositories shortly. Please verify the fix and re-open this bug if neccessary. 

Comment 4 Fedora Update System 2007-08-24 01:44:15 EDT
DevIL-1.6.8-0.13.rc2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.